## Python Script "survey_results"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Take Survey

from string import join, replace

def encode(s):
	"""Replace tabs and newlines if they appear with spaces"""
	s = replace(s,'"','"""') 

respondents = context.listRespondents()
fields = context.listQuestions()

response = context.REQUEST.RESPONSE
response.setHeader('Content-Type', 'text/comma-separated-values')

fields = ['Username'] + [field.getLabel() for field in fields]
line = join(['"%s"' % x for x in fields, ',')

response.write("%s\n" % line)

for user in respondents:
	uid = context.getUniqueId(user)
	fields = [user] + [str(field.accessor(uid)) for field in fields]
	line = join(map(encode,fields), ',')
	response.write("%s\n" % line)